<div class="user-applications mb-5">
  <h1 class="mat-h1">Moje wnioski</h1>
  <mat-divider class="mb-2"></mat-divider>

  <mat-card>
    <button mat-raised-button (click)="onCreateApplicationDialog()">
      <mat-icon>add</mat-icon>
      Złóż wniosek
    </button>

    <mat-tab-group dynamicHeight>
      <mat-tab>
        <ng-template mat-tab-label>
          <mat-icon>forward</mat-icon>
          <h3 matSubheader>Złożone</h3>
        </ng-template>

        <div class="mat-elevation-z4">
          <mat-list>
            <div *ngIf="(openedApplications$ | async) as openedApplications; else loading">
              <ng-container *ngIf="openedApplications.length; else noOpenedApplications">
                <mat-list-item *ngFor="let openedApplication of openedApplications">
                  <mat-icon mat-list-icon>mail</mat-icon>
                  <h4 mat-line>Tytuł: {{openedApplication?.title}} </h4>
                  <p mat-line>Dział: {{openedApplication?.targetDepartment?.name}}</p>
                  <p mat-line>{{openedApplication?.text}}</p>
                  <p mat-line> {{openedApplication?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>
                </mat-list-item>
              </ng-container>
              <ng-template #noOpenedApplications>Nie złożyłeś jeszcze żadnego wniosku.</ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
        </div>
      </mat-tab>

      <mat-tab>
        <ng-template mat-tab-label>
          <mat-icon>done</mat-icon>
          <h3 matSubheader>Rozpatrzone</h3>
        </ng-template>
        <div class="mat-elevation-z4">
          <mat-list>
            <mat-list>
              <div *ngIf="(passedApplications$ | async) as passedApplications; else loading">
                <ng-container *ngIf="passedApplications.length; else noPassedApplications">
                  <mat-list-item *ngFor="let passedApplication of passedApplications">
                    <mat-icon mat-list-icon>mail</mat-icon>
                    <h4 mat-line>Tytuł: {{passedApplication?.title}} </h4>
                    <p mat-line>Dział: {{passedApplication?.targetDepartment?.name}}</p>
                    <h4 mat-line>Obsłużony
                      przez: {{passedApplication?.servedBy?.data?.firstName}} {{passedApplication?.servedBy?.data?.lastName}}</h4>
                    <p mat-line>{{passedApplication?.text}}</p>
                    <p mat-line> {{passedApplication?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>
                  </mat-list-item>
                </ng-container>
                <ng-template #noPassedApplications>Żadeń z Twoich wniosków nie został jeszcze pozytywnie rozpatrzony.
                </ng-template>
              </div>
              <ng-template #loading>Ładowanie danych...</ng-template>
            </mat-list>
          </mat-list>
        </div>
      </mat-tab>

      <mat-tab>
        <ng-template mat-tab-label>
          <mat-icon>cancel</mat-icon>
          <h3 matSubheader>Odrzucone</h3>
        </ng-template>
        <div class="mat-elevation-z4">
          <mat-list>
            <div *ngIf="(rejectedApplications$ | async) as rejectedApplications; else loading">
              <ng-container *ngIf="rejectedApplications.length; else noRejectedApplications">
                <mat-list-item *ngFor="let rejectedApplication of rejectedApplications">
                  <mat-icon mat-list-icon>mail</mat-icon>
                  <h4 mat-line>Tytuł: {{rejectedApplication?.title}} </h4>
                  <p mat-line>Dział: {{rejectedApplication?.targetDepartment?.name}}</p>
                  <h4 mat-line>Obsłużony
                    przez: {{rejectedApplication?.servedBy?.data?.firstName}} {{rejectedApplication?.servedBy?.data?.lastName}}</h4>
                  <p mat-line>{{rejectedApplication?.text}}</p>
                  <p mat-line> {{rejectedApplication?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>
                </mat-list-item>
              </ng-container>
              <ng-template #noRejectedApplications>Żadeń z Twoich wniosków nie został jeszcze odrzucony.</ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
        </div>
      </mat-tab>
    </mat-tab-group>
  </mat-card>
</div>
